summaryrefslogtreecommitdiffstats
path: root/business
diff options
context:
space:
mode:
author Arnaud Dupuis2010-05-13 00:57:33 +0200
committer Heinz Wiesinger2010-05-13 00:57:33 +0200
commitfcf6fa33e6670822624b82d7f7c6409103c98fae (patch)
tree3cdc59fba724364774b320d70b0bb2c0f7a62df4 /business
parentad40c16c4c012534a7629cfba18c49cdb1d80b4e (diff)
downloadslackbuilds-fcf6fa33e6670822624b82d7f7c6409103c98fae.tar.gz
business/AssociationSubscribersManager: Added to 13.0 repository
Diffstat (limited to 'business')
-rw-r--r--business/AssociationSubscribersManager/AssociationSubscribersManager.SlackBuild91
-rw-r--r--business/AssociationSubscribersManager/AssociationSubscribersManager.desktop10
-rw-r--r--business/AssociationSubscribersManager/AssociationSubscribersManager.info10
-rw-r--r--business/AssociationSubscribersManager/README5
-rw-r--r--business/AssociationSubscribersManager/doinst.sh5
-rw-r--r--business/AssociationSubscribersManager/slack-desc19
6 files changed, 140 insertions, 0 deletions
diff --git a/business/AssociationSubscribersManager/AssociationSubscribersManager.SlackBuild b/business/AssociationSubscribersManager/AssociationSubscribersManager.SlackBuild
new file mode 100644
index 0000000000..94ff77b78c
--- /dev/null
+++ b/business/AssociationSubscribersManager/AssociationSubscribersManager.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+#
+# Slackware build script for Association Subscribers Manager
+#
+# Copyright 2009 Arnaud Dupuis, Asnières sur Seine, France
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by SlackBuilds.org
+
+PRGNAM=AssociationSubscribersManager
+VERSION=${VERSION:-3.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+lrelease association_subscribers_manager.pro
+qmake INSTALLDIR=/usr association_subscribers_manager.pro
+
+# use our CFLAGS
+sed -i "s/-O2/$SLKCFLAGS/" Makefile
+
+# remove unneeded calls to strip, that cause (harmless) errors during make install
+sed -i "/-strip \$(INSTALL_ROOT)/d" Makefile
+
+make
+make INSTALL_ROOT=$PKG install
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+strip --strip-unneeded $PKG/usr/bin/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a AUTHORS CHANGES INSTALL LICENSE PLUGIN_ARCHITECTURE README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/business/AssociationSubscribersManager/AssociationSubscribersManager.desktop b/business/AssociationSubscribersManager/AssociationSubscribersManager.desktop
new file mode 100644
index 0000000000..1a1199fd15
--- /dev/null
+++ b/business/AssociationSubscribersManager/AssociationSubscribersManager.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Association Subscribers Manager
+Exec=association_subscribers_manager
+Type=Application
+Icon=/usr/share/AssociationSubscribersManager/images/as.png
+GenericName=Associations' subscribers management software
+GenericName[fr]=Gestionnaire d'associations
+Terminal=false
+X-KDE-StartupNotify=true
+Categories=Qt;KDE;Office;
diff --git a/business/AssociationSubscribersManager/AssociationSubscribersManager.info b/business/AssociationSubscribersManager/AssociationSubscribersManager.info
new file mode 100644
index 0000000000..db425658f8
--- /dev/null
+++ b/business/AssociationSubscribersManager/AssociationSubscribersManager.info
@@ -0,0 +1,10 @@
+PRGNAM="AssociationSubscribersManager"
+VERSION="3.0.1"
+HOMEPAGE="http://www.associationsubscribersmanager.org/"
+DOWNLOAD="http://downloads.sourceforge.net/assuma/AssociationSubscribersManager-3.0.1.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="f24c67745749cb13d87652814a5f0968"
+MD5SUM_x86_64=""
+MAINTAINER="Arnaud Dupuis"
+EMAIL="a.dupuis@infinityperl.org"
+APPROVED="pprkut"
diff --git a/business/AssociationSubscribersManager/README b/business/AssociationSubscribersManager/README
new file mode 100644
index 0000000000..7ae0fa7250
--- /dev/null
+++ b/business/AssociationSubscribersManager/README
@@ -0,0 +1,5 @@
+Association Subscribers Manager is software designed to manage members
+of associations. An "association" can be a club sport, a music club, etc.;
+it is highly customizable. It can manage groups of several thousand
+members. It is written in C++ with Qt 4 as a GUI framework. All
+generated files are in an XML-based format to guarantee interoperability.
diff --git a/business/AssociationSubscribersManager/doinst.sh b/business/AssociationSubscribersManager/doinst.sh
new file mode 100644
index 0000000000..cfa706244a
--- /dev/null
+++ b/business/AssociationSubscribersManager/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
+
diff --git a/business/AssociationSubscribersManager/slack-desc b/business/AssociationSubscribersManager/slack-desc
new file mode 100644
index 0000000000..97fae748d2
--- /dev/null
+++ b/business/AssociationSubscribersManager/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+AssociationSubscribersManager: Association Subscribers Manager (manage clubs subscribers)
+AssociationSubscribersManager:
+AssociationSubscribersManager: Association Subscribers Manager allows people to easily manage
+AssociationSubscribersManager: their clubs (or associations). The main goal is to make it simple.
+AssociationSubscribersManager: It is a simple software that do the job in a simple way.
+AssociationSubscribersManager:
+AssociationSubscribersManager: Homepage: http://www.associationsubscribersmanager.org/
+AssociationSubscribersManager:
+AssociationSubscribersManager:
+AssociationSubscribersManager:
+AssociationSubscribersManager: